<?php

if (!defined("_ECRIRE_INC_VERSION")) return; // Scurit

function balise_AUTEUR_SESSION($p) {
// Pour SPIP 1.9	
	global $auteur_session;

// Scurit sur session ouverte
	If ( $auteur_session == NULL ) return $p ;
	If ( $auteur_session['id_auteur'] == NULL ) return $p ;
	If ( $auteur_session['id_auteur'] <= 0 ) return $p ;
	
//	var_dump($auteur_session) ;
// Si pas de 1er arg => prendre nom par defaut
	if (!$arg = interprete_argument_balise(1,$p)) {
	  $arg = "nom" ;
	} else {
		$arg = str_replace("'","",$arg);
	}
	
//  var_dump($arg) ;
//  echo 'valeur : ' . $auteur_session[$arg] ;
//	$p->interdire_scripts = false;
	$p->code = "'" . $auteur_session[$arg] . "'";

  return $p;
}

function FSGT_MPSP_guid(){
  if (function_exists('com_create_guid')){
    return com_create_guid();
  }else{
    mt_srand((double)microtime()*10000);//optional for php 4.2.0 and up.
    $charid = strtoupper(md5(uniqid(rand(), true)));
    $hyphen = chr(45);// "-"
    $uuid = chr(123)// "{"
            .substr($charid, 0, 8).$hyphen
            .substr($charid, 8, 4).$hyphen
            .substr($charid,12, 4).$hyphen
            .substr($charid,16, 4).$hyphen
            .substr($charid,20,12)
            .chr(125);// "}"
        return $uuid;
   }
}

function balise_URL_NOUVMDP($p) {
	global $table_prefix;
	global $auteur_session;
//	global $spip_version_code;
	global $spip_version_branche;

	spip_log("FSGT_MMDP : balise_URL_NOUVMDP");

// Scurit sur session ouverte
	If ( $auteur_session == NULL ) return $p ;
	If ( $auteur_session['id_auteur'] == NULL ) return $p ;
	If ( $auteur_session['id_auteur'] <= 0 ) return $p ;
	
	
// 1er arg code page saisie mot de passe : Valeur par dfaut "spip_pass"
	if (!$arg = interprete_argument_balise(1,$p)) {
	  if ( $p->param[0] == NULL) $p->param[0][0] = "";
    $p->param[0][1][0] = new Texte();
		if (version_compare($spip_version_branche,'2.','<')) {
			$p->param[0][1][0]->texte = "pass";
//			spip_log("FSGT_MMDP : SPIP Version 1.9");
		} else {
//			spip_log("FSGT_MMDP : SPIP Version 2.0");
			$p->param[0][1][0]->texte = "spip_pass";
		}
	}

//  $var = print_r($auteur_session, true);
//	spip_log("FSGT_MMDP : auteur_session => ".$var);
// Marre des variables qui apparaissent et disparaissent de la session
// Bienvenu au GUID
	if (function_exists('com_create_guid')) {
   	$C_Id = com_create_guid();
//  	spip_log("FSGT_MMDP : GUID => ".$C_Id);
  } elseif (function_exists('uuid_create')) {
	 	$C_Id = uuid_create() ;
//		spip_log("FSGT_MMDP : UUID => ".$C_Id);
  }
// Scurit 
  If ( $C_Id == '' ) { 
  	$C_Id = FSGT_MPSP_guid();
  }
  $C_Id = str_replace(array("{","-","}"),"",$C_Id);
	include_spip('base/abstract_sql');
	if ( $table_prefix != '' ) $t_prefix = $table_prefix . "_";
	sql_updateq($t_prefix . 'auteurs', array('cookie_oubli' => $C_Id), 'id_auteur='.$auteur_session['id_auteur']);

 	$ID = $auteur_session['id_auteur'];
	spip_log("FSGT_MMDP : auteur ".$ID." => '".$C_Id."'");
 	
 	
  $p->param[0][2][0] = new Texte();
  $p->param[0][2][0]->texte = "p=".$C_Id;
  
	if (version_compare($spip_version_branche,'2.','<')) {
		$p->param[0][2][0]->texte = $p->param[0][2][0]->texte. "&action=".$p->param[0][1][0]->texte;
		$p->param[0][1][0]->texte = "";
	  return calculer_balise('URL_PAGE',$p);
// SPIP 1.9 ^^		
	} else {
// SPIP 2.0 vv		
//	return balise_URL_PAGE_dist($p); // Ne marche pas tout le temps :( ou erreur de NEWBIE
	  return calculer_balise('URL_PAGE',$p);
 	}
}

?>
